Package org.eclipse.gef.dnd

# Interface TransferDragSourceListener

All Superinterfaces:
  `DragSourceListener`, `EventListener`, `SWTEventListener`, `TransferDragSourceListener`

All Known Implementing Classes:
  `AbstractTransferDragSourceListener`, `TemplateTransferDragSourceListener`

public interface TransferDragSourceListener extends TransferDragSourceListener
Deprecated.
use org.eclipse.jface.util.TransferDragSourceListener instead
A DragSourceListener that can handle one type of SWT `Transfer`. The purpose of a TransferDragSourceListener is to:

- Determine enablement for a Drag operation. Enablement is often a function of the current Selection and/or other criteria.
- Set data for a single type of Drag and Transfer.

`DelegatingDragAdapter` allows these functions to be implemented separately for unrelated types of Drags. DelegatingDragAdapter then combines the function of each TransferDragSourceListener, while allowing them to be implemented as if they were the only DragSourceListener.

## Method Summary

### Methods inherited from interface org.eclipse.swt.dnd.DragSourceListener

`dragFinished, dragSetData, dragStart`

### Methods inherited from interface org.eclipse.jface.util.TransferDragSourceListener

`getTransfer`